//============================================================================
// File: VECJB8.C
// Func: Interrupt Vector Table Definition for USB08 Demo Application
// Ver.: 1.02
// Auth: (C)2000..2005 by Oliver Thamm, Elektronikladen | ELMICRO
//       http://hc08web.de/usb08
// Rem.: View/Edit this File with TAB-Size=4
//============================================================================

#include "settings.h"

//----------------------------------------------------------------------------

#ifdef IMAGECRAFT_C
#pragma abs_address:0xfff0
#pragma interrupt_handler isrDummy isrUSB isrKey
#define START_OF_CODE			// already defined in startup module crts08.o
#endif
#ifdef COSMIC_C
extern void _stext(void);		// see startup module
#define START_OF_CODE _stext
#endif

extern void isrDummy(void);
extern void isrUSB(void);
extern void isrKey(void);

//-- Interrupt Vector Table --------------------------------------------------

void (* const _vectab[])(void) = {
	isrKey,					/* Keypad     		*/
	isrDummy,				/* TIMER overflow	*/
	isrDummy,				/* TIMER channel 1	*/
	isrDummy,				/* TIMER channel 0	*/
	isrDummy,				/* IRQ1          	*/
#ifdef USE_USB_PIPE
	isrUSB,					/* USB            	*/
#else
	isrDummy,				/* USB             	*/
#endif
	isrDummy,				/* SWI             	*/
	START_OF_CODE			/* RESET			*/
	};

//============================================================================

